Skip to main content
GET
/
v1
/
files
/
{file_id}
/
content
Download a file's contents
curl --request GET \
  --url https://api.perceptron.inc/v1/files/{file_id}/content \
  --header 'Authorization: Bearer <token>'
[
  1
]
Download a file’s raw bytes (response Content-Type matches the upload). For metadata only, use Retrieve File. Compatible with OpenAI’s Retrieve file content endpoint. You can pass this content URL as an image_url or video_url in a chat completion — see Working with files. Rate limit: 30 requests/min.

Authorizations

Authorization
string
header
required

Bearer token authentication using your Perceptron API key

Path Parameters

file_id
string
required

The id of the file whose contents to return.

Response

File bytes. The response Content-Type matches what was supplied at upload time.

Required range: x >= 0